Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] gimp 2.8 aus experimental  (Read 10027 times)

Offline manilg

  • User
  • Posts: 235
[DE] gimp 2.8 aus experimental
« on: 2012/04/05, 07:47:12 »
Hi,

seit ich gimp aus experimental installiert habe startet das Programm nicht.

Quote
BABL version too old!

GIMP requires BABL version 0.1.10 or later.
Installed BABL version is 0.1.6.

Somehow you or your software packager managed
to install GIMP with an older BABL version.

Please upgrade to BABL version 0.1.10 or later.


ist die Fehlermeldung

Quote

apt-cache policy gimp
gimp:
  Installiert: 2.8.0~rc1.siduction.1
  Kandidat:    2.8.0~rc1.siduction.1
  Versionstabelle:
 *** 2.8.0~rc1.siduction.1 0
        100 http://packages.siduction.org/experimental/ unstable/main i386 Packages
        100 /var/lib/dpkg/status
     2.6.12-1+b2 0
        500 http://ftp.de.debian.org/debian/ sid/main i386

Papt-cache policy libbabl-0.0-0
libbabl-0.0-0:
  Installiert: 0.1.7-1.siduction.1
  Kandidat:    0.1.7-1.siduction.1
  Versionstabelle:
 *** 0.1.7-1.siduction.1 0
        100 http://packages.siduction.org/experimental/ unstable/main i386 Packages
        100 /var/lib/dpkg/status
ackages

apt-cache policy libbabl-0.1-0
libbabl-0.1-0:
  Installiert: 0.1.6-2
  Kandidat:    0.1.6-2
  Versionstabelle:
     0.1.10-0.siduction.1 0
        100 http://packages.siduction.org/experimental/ unstable/main i386 Packages
 *** 0.1.6-2 0
        500 http://ftp.de.debian.org/debian/ sid/main i386 Packages
        100 /var/lib/dpkg/status




Gruß

manilg

holgerw

  • Guest
gimp 2.8 aus experimental
« Reply #1 on: 2012/04/05, 09:07:02 »
Hallo,

bitte probiere mal folgendes: Lade Dir die Datei herunter:
http://packages.siduction.org/experimental/pool/main/b/babl/libbabl-0.1-0_0.1.10-0.siduction.1_i386.deb

Dann installiere sie:
Code: [Select]
dpkg -i pfad-zur-datei

Hier wäre es doch sicher gut, wenn das Experimental Repo nicht als unstable, sondern auch als experimental markiert wäre. Dann ginge nämlich:
Code: [Select]
apt-get install -t experimental libbabl-0.1-0

Viele Grüße,
  Holger

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
gimp 2.8 aus experimental
« Reply #2 on: 2012/04/05, 09:57:06 »
Quote

  Code:
apt-get install -t experimental libbabl-0.1-0

Naja, wenn nun ein Paket gleichzeitig in 2 Versionen in debian-experimental und in siduction-experimental läge, was ja nicht ausgeschlossen ist, so könnte das schon verwirren.

greetz
devil

Offline manilg

  • User
  • Posts: 235
gimp 2.8 aus experimental
« Reply #3 on: 2012/04/05, 11:39:38 »
Danke Holger,

das war´s..

manilg

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
gimp 2.8 aus experimental
« Reply #4 on: 2012/04/05, 13:24:48 »
bei mir reicht ja ein:
Code: [Select]
apt-get install libbabl-0.1-0 :)

greetz
devil

Offline reddark

  • User
  • Posts: 1.053
    • http://www.klangruinen.de/
gimp 2.8 aus experimental
« Reply #5 on: 2012/04/05, 13:30:49 »
@devil: Bei mir nicht .. wie machst du das??

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
gimp 2.8 aus experimental
« Reply #6 on: 2012/04/05, 13:46:00 »
Code: [Select]
deb http://packages.siduction.org/experimental unstable main contrib non-free


greetz
devil

Offline michaa7

  • User
  • Posts: 2.298
gimp 2.8 aus experimental
« Reply #7 on: 2012/04/05, 14:33:02 »
@ devil

Kann es sein, dass du bei dir zwar die richtige version installiert hast, im experimental repo jedoch die falsche (libbabl-0.1-0_0.1.6-2_i386.deb) liegt?

Apt sagt mir dass ich die neueste version installiert habe, das experimental repo ist wie von dir hier angegeben in der siduction.list eingetragen, installationsbefehle wie hier im thread angegeben ausgeführt. Dennoch kann GIMP nicht gestartet werden, es wird angemeckert, dass die babl version 0.1.10 notwendig ist, aber nur 0.1.6 installiert wäre.

Quote
# apt-cache policy libbabl-0.1-0
libbabl-0.1-0:
  Install# apt-cache policy libbabl-0.1-0
libbabl-0.1-0:
  Installiert: 0.1.6-2
  Kandidat:    0.1.6-2
  Versionstabelle:
     0.1.10-0.siduction.1 0
        100 http://packages.siduction.org/experimental/ unstable/main i386 Packages
 *** 0.1.6-2 0
        500 http://ftp.de.debian.org/debian/ sid/main i386 Packages
        500 http://ftp.de.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
iert: 0.1.6-2
  Kandidat:    0.1.6-2
  Versionstabelle:
     0.1.10-0.siduction.1 0
        100 http://packages.siduction.org/experimental/ unstable/main i386 Packages
 *** 0.1.6-2 0
        500 http://ftp.de.debian.org/debian/ sid/main i386 Packages
        500 http://ftp.de.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.938
gimp 2.8 aus experimental
« Reply #8 on: 2012/04/05, 14:35:07 »
Code: [Select]

/media/data1/upload
towo:Defiant> apt-cache policy libbabl-0.1-0
libbabl-0.1-0:
  Installiert: 0.1.10-0.siduction.1
  Kandidat:    0.1.10-0.siduction.1
  Versionstabelle:
 *** 0.1.10-0.siduction.1 0
        500 http://packages.siduction.org/experimental/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     0.1.6-2 0
        500 http://ftp.de.debian.org/debian/ unstable/main amd64 Packages
        200 http://ftp2.de.debian.org/debian/ testing/main amd64 Packages

Ergo, wird ein
Code: [Select]
apt-get install libbabl-0.1-0=0.1.10-0.siduction.1
von Erfolg gekrönt sein. Bei Euch hat das Repo sicher nur eine Priorität von 100.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline michaa7

  • User
  • Posts: 2.298
gimp 2.8 aus experimental
« Reply #9 on: 2012/04/05, 14:53:22 »
aha, des rätsels lösung ist also das pinning
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.938
gimp 2.8 aus experimental
« Reply #10 on: 2012/04/05, 15:08:03 »
Ich hatte es schon im Chat erwähnt, bei einer nächsten Version nagel ich es in die Depends, den RC1 bau ich deswegen nicht neu.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
gimp 2.8 aus experimental
« Reply #11 on: 2012/04/05, 16:08:39 »
pol libbabl-0.1-0
libbabl-0.1-0:
  Installiert: 0.1.10-0.siduction.1
  Kandidat:    0.1.10-0.siduction.1
  Versionstabelle:
 *** 0.1.10-0.siduction.1 0
        500 http://packages.siduction.org/experimental/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     0.1.6-2 0
        500 http://ftp2.de.debian.org/debian/ sid/main amd64 Packages
        500 http://ftp.de.debian.org/debian/ testing/main amd64 Packages

Offline agaida

  • User
  • Posts: 1.760
    • http://g-com.eu
gimp 2.8 aus experimental
« Reply #12 on: 2012/04/05, 23:51:59 »
Meinen Senf zum Schluss: bei allen siduction-experimental Paketen sollte ein sauberes -t unstable helfen. Müsste ich aber auch erst probieren.
There's this special biologist word we use for "stable". It's "dead". ~ Jack Cohen

Offline michaa7

  • User
  • Posts: 2.298
gimp 2.8 aus experimental
« Reply #13 on: 2012/04/06, 00:59:06 »
Was soll das bewirken? Unstable ist bei siduction *default*.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline agaida

  • User
  • Posts: 1.760
    • http://g-com.eu
gimp 2.8 aus experimental
« Reply #14 on: 2012/04/06, 02:52:48 »
@Michaa7: Ich weiss, dass bei siduction *unstable* default ist. Ich hab die Repositories eingerichtet.

Code: [Select]

agaida@ramme:~$ apt-cache policy libbabl-0.1-0
libbabl-0.1-0:
  Installiert: (keine)
  Kandidat:    0.1.6-2
  Versionstabelle:
     0.1.10-0.siduction.1 0
        100 http://packages.siduction.org/experimental/ unstable/main amd64 Packages
     0.1.6-2 0
        500 http://ftp.debian.org/debian/ sid/main amd64 Packages
        500 http://ftp.debian.org/debian/ testing/main amd64 Packages


Zum Vergleich:
Code: [Select]

agaida@ramme:~$ apt-cache policy libbabl-0.1-0 -t unstable
libbabl-0.1-0:
  Installiert: (keine)
  Kandidat:    0.1.10-0.siduction.1
  Versionstabelle:
     0.1.10-0.siduction.1 0
        990 http://packages.siduction.org/experimental/ unstable/main amd64 Packages
     0.1.6-2 0
        990 http://ftp.debian.org/debian/ sid/main amd64 Packages
        500 http://ftp.debian.org/debian/ testing/main amd64 Packages
There's this special biologist word we use for "stable". It's "dead". ~ Jack Cohen